std::is_trivial< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Detailed Description

template<typename _Tp>
struct std::is_trivial< _Tp >

is_trivial

Deprecated
  Deprecated in C++26. Use a combination of one or more more specialized type traits instead, such as is_trivially_default_constructible, is_trivially_copy_constructible, is_trivially_copy_assignable, etc., depending on the exact check(s) needed.

Definition at line 961 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits